Update product information
curl --request PUT \
--url https://api.artisn.desarrollo-redbrand.com/api/api/v3/products/{vendorId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"storeId": "<string>",
"productId": "<string>",
"active": true,
"priceInfo": {
"price": 123,
"pointPrice": 123
},
"scheduledActiveStatus": "2023-11-07T05:31:56Z",
"scheduledInactiveStatus": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.artisn.desarrollo-redbrand.com/api/api/v3/products/{vendorId}"
payload = {
"storeId": "<string>",
"productId": "<string>",
"active": True,
"priceInfo": {
"price": 123,
"pointPrice": 123
},
"scheduledActiveStatus": "2023-11-07T05:31:56Z",
"scheduledInactiveStatus": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
storeId: '<string>',
productId: '<string>',
active: true,
priceInfo: {price: 123, pointPrice: 123},
scheduledActiveStatus: '2023-11-07T05:31:56Z',
scheduledInactiveStatus: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.artisn.desarrollo-redbrand.com/api/api/v3/products/{vendorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Product updated successfully"
}{
"message": "Bad request"
}Productos
Este endpoint permite actualizar la información del producto.
This endpoint allows you to update product information
PUT
/
api
/
v3
/
products
/
{vendorId}
Update product information
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Unique brand identifier
Body
application/json
Unique store identifier
Unique product identifier
Product status
Show child attributes
Show child attributes
Future date on which you want to activate the product
Future date on which you want to inactivate the product
Response
Product information successfully updated
Example:
"Product updated successfully"
Este endpoint permite agregar una lista al sistemaEste endpoint permite registrar o editar una lista en el sistema
⌘I

